<?php

declare(strict_types=1);

namespace App\Domain\Reader\Application\Query;

final readonly class GetChapterPage
{
    public function __construct(
        private string $chapterId,
        private int $pageNumber
    ) {
    }

    public function getChapterId(): string
    {
        return $this->chapterId;
    }

    public function getPageNumber(): int
    {
        return $this->pageNumber;
    }
} 